unit DemoUtils;

interface

const
  VersionNo: Integer =
  {$IFDEF ver100}
  3
  {$ELSE}
  {$IFDEF ver120}
  4
  {$ELSE}
  {$IFDEF ver130}
  5
  {$ENDIF}
  {$ENDIF}
  {$ENDIF}
  ;

  PackageExt: String =
  {$IFDEF ver100}
  'DPL'
  {$ELSE}
  {$IFDEF ver120}
  'BPL'
  {$ELSE}
  {$IFDEF ver130}
  'BPL'
  {$ENDIF}
  {$ENDIF}
  {$ENDIF}
  ;

function GetRootDir: String;

implementation

uses SysUtils, Windows, Registry;

function GetRootDir: String;
var
  Reg: TRegistry;
begin
  Reg := TRegistry.Create;
  try
    Reg.RootKey := HKEY_LOCAL_MACHINE;
    Reg.OpenKey(Format('\Software\Borland\Delphi\%d.0', [VersionNo]), False);
    Result := ExtractFilePath(Reg.ReadString('App'));
  finally
    Reg.Free;
  end;
end;

end.

