unit test;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ObjCPal, StdCtrls, ObjIntf, ObjEdit, ObjInsp, ObjStart, ObjLib,
  DB, DBTables, Registry, ExtCtrls, DCLIntf, ObjPkg;

type
  TForm1 = class(TForm)
    Pal: TComponentPalette;
    Panel1: TPanel;
    Button2: TButton;
    Button1: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    FEditor: TObjectEditor;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses testform, DemoUtils;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Form2.Show;
  FEditor.EditControl(Form2);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ObjInitialize(TObjectInspector, TObjectEditor, nil, TObjectLibrary, nil);
  ObjectInspector.Show;
  FEditor := TObjectEditor.Create;
  ObjectInspector.Designer := FEditor;
  ObjectInspector.Show;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  LoadPackageEx(Format('%sDCLSTD%d0.%s', [GetRootDir, VersionNo, PackageExt]));
  Pal.RefreshTabs;
end;

end.
